Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606299 - can't find installation device
can't find installation device
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 678823 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 07:42 EDT by Marcela Mašláňová
Modified: 2011-06-01 12:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 678823 (view as bug list)
Environment:
Last Closed: 2011-06-01 12:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (70.72 KB, text/plain)
2011-02-21 08:22 EST, No Importa
no flags Details

  None (edit)
Description Marcela Mašláňová 2010-06-21 07:42:01 EDT
Description of problem:
The installation of Fedora failed choosing of language, because anaconda had asked where is image/stage2 stored. I had ATA disc with three nfts partitions and one clean without file system. 
Anaconda offer choose from /dev/sda{1,2,3} even if it booted from /dev/sdb. sdb wasn't found during installation process. 

Version-Release number of selected component (if applicable):
anaconda-13.42-1.fc13

How reproducible:
On flash disc create boot minimal installation by standart procedure documented on fedoraproject documentation.

Steps to Reproduce:
1. choose lanaguage
2. try to find right device
3. repeat :)
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcela Mašláňová 2010-06-21 08:00:41 EDT
Probably every ~10th installation was able find sdb and was successful until this #606307. When I had to choose which disc will be used for installation I had to check both sda and sdb, because if I choose only sda (ATA disc), then the disc couldn't be found, even if later it was possible to install. If I choose both discs, I was able continue in installation. IMHO there is some problem with detection of discs during the installation process.
Comment 2 Marcela Mašláňová 2010-06-21 08:06:04 EDT
My hardware profile if this is any help:
http://www.smolts.org/client/show/pub_d36889b8-c8ee-4a65-8710-f9e459ec5718
Comment 3 Chris Lumens 2010-08-11 13:09:57 EDT
Please attach /tmp/anaconda.log from your failed installation attempt in the original comment to this bug report.  Comment #1 describes a different problem.  If you can describe how you booted and what kind of installation you are trying to perform (HTTP/FTP, HD ISO, etc.) that would also be helpful.
Comment 4 No Importa 2011-02-19 19:41:34 EST
I've found this error from version 11 to the actual core 14 (not on Fedora 10 Cambridge), and it's caused by a "timeout" on the SATA while trying to identify the type of drive. It seems like the driver or the communications buffer doesn't negotiate the information on the right mode. Curiously, this doesn't happens on core 8 to 10 (checked on those versions)

Maybe, the info about the drive can be useful:
(Reported by Device Manager of Fedora 10)
Model: ST3320813AS
Vendor: ATA
Device File: /dev/sda
Serial Number: SATA_ST3320813AS_9xxxxxxx (Modified for sec reasons)
FirmWare version: SD23
Connection type: Internal
Removable media: no
Drive capacity: xxx gb
Partitioning: Master Boot Record
Comment 5 Chris Lumens 2011-02-20 21:35:15 EST
*** Bug 678823 has been marked as a duplicate of this bug. ***
Comment 6 Chris Lumens 2011-02-20 21:35:51 EST
I could still use /tmp/anaconda.log, as well as /tmp/syslog and /tmp/storage.log.  Thanks.
Comment 7 No Importa 2011-02-21 08:22:13 EST
Created attachment 915191 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 8 Marcela Mašláňová 2011-04-29 04:06:15 EDT
fyi I couldn't reproduce it with installed system, so you have to use information from previous comments.
Comment 9 Bug Zapper 2011-06-01 12:02:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Marcela Mašláňová 2011-06-01 12:06:07 EDT
I wasn't able to reproduce it after I created my own partitions. So I'll probably go with worksforme.

Note You need to log in before you can comment on or make changes to this bug.